Index: trunk/LMDZ.TITAN/libf/phytitan/muphys3D.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/muphys3D.F	(revision 1055)
+++ trunk/LMDZ.TITAN/libf/phytitan/muphys3D.F	(revision 1056)
@@ -64,4 +64,7 @@
 c------------------------------------------------------
          use dimphy
+c         use radcommon_h, only : volume,rayon,vrat,drayon,dvolume
+         USE comgeomphy,  only: rlatd
+
          IMPLICIT NONE
 #include "dimensions.h"
@@ -74,12 +77,11 @@
 
          integer iq,nmicro
-
+         real    ptimestep
+         real    pdpsrf(ngrid)
+
+c a la place de radcommon_h:
          common/part/vaer,raer,vrat,draer,dvaer
          real   vaer(nrad),raer(nrad),vrat,
      &          draer(nrad),dvaer(nrad)
-
-         real   ptimestep
- 
-         real  pdpsrf(ngrid)
 
 c*************************************
@@ -116,5 +118,5 @@
          real  q(ngrid,klev,nmicro)
          REAL taused(klev,nrad)
-         integer jsup,jinf,h,jalt,ihor,k
+         integer jsup,jinf,h,jalt,ihor,k,im1
 
 c    microphysique    *
@@ -146,19 +148,10 @@
          IF (IPREM.eq.0) THEN
  
-           IF (microfi.eq.1) THEN
-             IF (ngrid.ne.jjm+1) THEN
-               print*,"aLeRte :"
-               print*,"microfi en 2D mais ngrid.ne.jjm+1"
-               print*,ngrid,jjm+1
-               stop "je m'arrete..."
-             ENDIF
-           ELSEIF (microfi.eq.2) THEN
              IF (ngrid.ne.klon) THEN
                print*,"aLeRte :"
-               print*,"microfi en 3D mais ngrid.ne.klon"
+               print*,"microfi, mais ngrid.ne.klon"
                print*,ngrid,klon
-               stop "je m'arrete..."
+               stop "je m'arrete... (muphys3D)"
              ENDIF
-           ENDIF
 
 c initialisation des constantes de la microphysique :
@@ -183,4 +176,9 @@
            call rdf()
 c   ici on recopie la grille dans un common specifique a la microfi... 
+c          v_e    = volume
+c          r_e    = rayon
+c          vrat_e = vrat
+c          dr_e   = drayon
+c          dv_e   = dvolume
            v_e    = vaer
            r_e    = raer
@@ -221,7 +219,23 @@
 c correpondance des couches / sens GCM > microphysique 
 c-----------------------------------------------------
-c
+
+c***************************************************************
          do IHOR=1,NGRID ! GRANDE BOUCLE HORIZONTALE / SEPARATION DES COLONNES
 
+         if (IHOR.eq.1) then 
+           im1=1
+         else
+           im1=IHOR-1
+         endif
+
+c***************************************************************
+c On refait les calculs si on est au premier point
+c         OU            si on change de latitude
+c         OU            si on calcule la microfi en 3D
+c***************************************************************
+        if((IHOR.eq.1)    
+     & .or.(rlatd(IHOR).ne.rlatd(im1))
+     & .or.(microfi.eq.2)) then
+c***************************************************************
   
 c  Ici, on initialise la grille verticale et les 
@@ -415,5 +429,21 @@
            endif
 
+c***************************************************************
+         else      ! same latitude, we don't do calculations again
+           q(ihor,:,:)       = q(im1,:,:)
+           tau_aer(ihor,:,:) = tau_aer(im1,:,:)
+           prec(ihor,:)    = prec(im1,:)
+           if (clouds.eq.1) then
+             solesp(ihor,:,:)   = solesp(im1,:,:)
+             flxesp_i(ihor,:,:) = flxesp_i(im1,:,:)
+             tau_drop(ihor,:) = tau_drop(im1,:)
+             gaz1(ihor,:) = gaz1(im1,:)
+             gaz2(ihor,:) = gaz2(im1,:)
+             gaz3(ihor,:) = gaz3(im1,:)
+           endif
+         endif
+
          ENDDO             ! Fin de la boucle IHOR
+c***************************************************************
 
 102      CONTINUE           ! la premiere fois, c'est une boucle vide!
Index: trunk/LMDZ.TITAN/libf/phytitan/n_acethylene.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/n_acethylene.F	(revision 1055)
+++ trunk/LMDZ.TITAN/libf/phytitan/n_acethylene.F	(revision 1056)
@@ -95,5 +95,4 @@
 #include "varmuphy.h"
 
-
       integer ng,nalt
       parameter(ng=1,nalt=llm)
@@ -163,8 +162,7 @@
 
 c     Variables for latent heat release
-      real lw,cpp
+      real lw
       data lw / 581.e+3/
-      data cpp/1050./ ! pour etre cohérent avec le reste...
-      save lw,cpp
+      save lw
 
 
Index: trunk/LMDZ.TITAN/libf/phytitan/n_ethane.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/n_ethane.F	(revision 1055)
+++ trunk/LMDZ.TITAN/libf/phytitan/n_ethane.F	(revision 1056)
@@ -177,9 +177,7 @@
 
 c     Variables for latent heat release
-      real lw,cpp
+      real lw
       data lw / 581.e+3/
-c     data cpp/1044./
-      data cpp/1050./ ! pour etre cohérent avec le reste...
-      save lw,cpp
+      save lw
 
 
Index: trunk/LMDZ.TITAN/libf/phytitan/n_methane.F
===================================================================
--- trunk/LMDZ.TITAN/libf/phytitan/n_methane.F	(revision 1055)
+++ trunk/LMDZ.TITAN/libf/phytitan/n_methane.F	(revision 1056)
@@ -157,9 +157,7 @@
 
 c     Variables for latent heat release
-      real lw,cpp
+      real lw
       data lw / 510.e+3/
-c     data cpp/1044./
-      data cpp/1050./ ! pour etre cohérent avec le reste...
-      save lw,cpp
+      save lw
 
 
